Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Delete team

DELETE/workspaces/{organizationId}/teams/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
204

Team deleted

400

Team is the workspace default

403

Cannot delete this team

409

Team still has issues

Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://pile.nyc/workspaces/string/teams/string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
Team deleted

Was this page helpful?